#ifndef PLOTWINDOW_H
#define PLOTWINDOW_H


#include <QMainWindow>
#include "ui_plotwindow.h"
#include "qcustomcanvas.h"
#include "plotdata.h"
#include "worker.h"

namespace Ui {
class PlotWindow;
}

class QPlotWindow : public QMainWindow
{
    Q_OBJECT
private:
    const Setup* config;
    Ui::PlotWindow *ui;
    bool saveCanvas(const QString& fileName);
    QString curFile;
public:
     QPlotWindow(QWidget *parent, const Setup* config_, PlotData* plotdata_);
    ~QPlotWindow();
     virtual void changeEvent(QEvent *e);

    PlotData* plotdata;
    void redraw();
    void reopen();
signals:
    void runStarted();
    void runPaused();
    void runStopped();

public slots:
    void handleStart();
    void handlePause();
    void handleStop();

    void handleUnzoom(int id=0);
    void handleClear(int id=0);
    void handleScreenshot(int id=0);
    void handleSave2txt(int id=0);
};

#endif // PLOTWINDOW_H
